Summary: A small application that collects stock information from Yahoo!(c).
Name: gnome-pm 
Version: 0.9.3
Release: 2
Copyright: GPL
Group: Applications/Productivity
Source: http://www.geocities.com/lordzephyroth/gnome-pm-%{version}.tar.gz 
URL: http://www.geocities.com/lordzephyroth/gnome-pm.html 
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: gtk+ >= 1.2, gnome-core >= 1.0 libghttp >= 1.0, curl >= 5.10, netscape-common >= 4.5 , %{_bindir}/netscape
Obsoletes: GnomePM

%description
GnomePM is a small application that collects stock information from
Yahoo!(c) Finance, and presents it in a easy-to-read list. GnomePM is
designed to cut back on CPU, memory, and bandwidth usage by
eliminating the need for a Java enabled Web browser. Many more
features are planned for GnomePM in the future. Please note, however,
that Yahoo!(c) does not support this product.

%prep
%setup -q 

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall gnomedatadir=$RPM_BUILD_ROOT%{_datadir}

#mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin/
#mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/
#install -m 755 gnome-pm $RPM_BUILD_ROOT%{_prefix}/bin/gnome-pm
#install -m 644 gnome-pm.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Applications/gnome-pm.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%{_bindir}/*
%{_datadir}/pixmaps/gnome-pm
%{_datadir}/pixmaps/gnome-pm.png
%{_datadir}/locale/*/*/*
%{_datadir}/gnome/apps/Applications/gnome-pm.desktop

%changelog
* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- built for errata release

* Tue Nov  7 2000 Tim Powers <timp@redhat.com>
- updated to 0.9.3
- fix bug #16897
- use %%configure and %%makeinstall, as well as the other predefined
  macros for RPM
- added docs

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed May 31 2000 Tim Powers <timp@redhat.com>
- changed name to gnome-pm by authors request, obsoletes GnomePM
- cleaned up spec
- using %{_sysconfdir} and %{_prefix} where possible to make it a bit easier
  to maintain, the above are both defined in RPM 4.0
- use applnk instead, mark it as a config file

* Fri Feb 04 2000 Tim Powers <timp@redhat.com>
- strip binaries

* Tue Dec 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Wed Sep 1 1999 Tim Powers <timp@redhat.com>
- updated source to 0.6.0

* Thu Aug 26 1999 Tim Powers <timp@redhat.com>
- added libghttp >= 1.0 to Requires, as well as the others.

* Thu Aug 26 1999 Tim Powers <timp@redhat.com>
- first build for Powertools
